// -*- mode: C++ -*-

// AUTOGENERATED BY glean_parser.  DO NOT EDIT.

/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

#ifndef mozilla_GleanDomLocalstorageMetrics_h
#define mozilla_GleanDomLocalstorageMetrics_h

#include "mozilla/glean/bindings/MetricTypes.h"

namespace mozilla::glean {

namespace localstorage_database {
  /**
   * generated from localstorage.database.request_allow_to_close_response_time
   * Time it took between sending PBackgroundLSDatabase::RequestAllowToClose and receiving PBackgroundLSDatabase::AllowToClose message. These messages are issued when QuotaManager is shutting down or is aborting operations for a particular origin or process.
   */
  constexpr impl::TimingDistributionMetric request_allow_to_close_response_time(3454);
}

namespace ls_preparedatastore {
  /**
   * generated from ls.preparedatastore.processing_time
   * Time it took for the parent process to prepare a Datastore. This duration can be significantly affected by Datastore preloading, which is triggered when a page begins to load. When a Datastore is already preloaded, the preparation is usually fast since it doesn't need to do any I/O. If an error occurs, the time is not recorded. In future, we might want to introduce additional separate metrics for different types of datastore preparations (data needs to be loaded from disk, data already available, etc.)
   */
  constexpr impl::TimingDistributionMetric processing_time(3455);
}

namespace ls_preparelsdatabase {
  /**
   * generated from ls.preparelsdatabase.processing_time
   * Time it took for the content process to fully prepare a new LSDatabase, including any time required to prepare a Datastore in the parent. This duration can be significantly affected by Datastore preloading, which is triggered when a page begins to load. If an error occurs, the time is not recorded.
   */
  constexpr impl::TimingDistributionMetric processing_time(3456);
}

namespace ls_request {
  /**
   * generated from ls.request.recv_cancellation
   * Upticks whenever a LS request cancellation message is received. This includes requests for ensuring either LSDatabase or LSObserver in the child.
   */
  constexpr impl::CounterMetric recv_cancellation(3457);

  /**
   * generated from ls.request.send_cancellation
   * Upticks whenever a LS request cancellation message is sent. This includes requests for ensuring either LSDatabase or LSObserver.
   */
  constexpr impl::CounterMetric send_cancellation(3458);
}

} // namespace mozilla::glean

#endif // mozilla_GleanDomLocalstorageMetrics_h
