// -*- mode: C++ -*-

// AUTOGENERATED BY glean_parser.  DO NOT EDIT.

/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

#ifndef mozilla_GleanDomMediaWebrtcMetrics_h
#define mozilla_GleanDomMediaWebrtcMetrics_h

#include "mozilla/glean/bindings/MetricTypes.h"

namespace mozilla::glean {

namespace codec_stats {
  /**
   * generated from codec.stats.audio_preferred_codec
   * Counts the preferred audio codec being signaled to us to identify preferred audio codec.
   */
  constexpr impl::Labeled<impl::CounterMetric, DynamicLabel> audio_preferred_codec(3480);

  /**
   * generated from codec.stats.other_fec_signaled
   * Count how many other fec options are being offered.
   */
  constexpr impl::Labeled<impl::CounterMetric, DynamicLabel> other_fec_signaled(3481);

  /**
   * generated from codec.stats.ulpfec_negotiated
   */
  enum class UlpfecNegotiatedLabel: uint16_t {
    eNegotiated = 0,
    eNotNegotiated = 1,
    e__Other__,
  };
  /**
   * Counts the number of times that ulpfec is negotiated or not negotiated on the first negotiation for each video transceiver.
   */
  constexpr impl::Labeled<impl::CounterMetric, UlpfecNegotiatedLabel> ulpfec_negotiated(3482);

  /**
   * generated from codec.stats.video_preferred_codec
   * Counts the preferred video codec being signaled to us to identify preferred video codec.
   */
  constexpr impl::Labeled<impl::CounterMetric, DynamicLabel> video_preferred_codec(3483);
}

namespace rtcrtpsender {
  /**
   * generated from rtcrtpsender.count
   * The number of RTCRtpSenders created.
   */
  constexpr impl::DenominatorMetric count(3484);

  /**
   * generated from rtcrtpsender.count_setparameters_compat
   * The number of RTCRtpSenders created that use the compatibility mode for setParameters.
   */
  constexpr impl::DenominatorMetric count_setparameters_compat(3485);

  /**
   * generated from rtcrtpsender.used_sendencodings
   * The proportion of RTCRtpSenders that were created by an addTransceivers call that was passed a sendEncodings.
   */
  constexpr impl::NumeratorMetric used_sendencodings(3486);
}

namespace rtcrtpsender_setparameters {
  /**
   * generated from rtcrtpsender.setparameters.fail_length_changed
   * The proportion of RTCRtpSenders that have thrown an error at least once about a setParameters call that attempted to change the number of encodings.
   */
  constexpr impl::NumeratorMetric fail_length_changed(3487);

  /**
   * generated from rtcrtpsender.setparameters.fail_no_encodings
   * The proportion of RTCRtpSenders configured with the setParameters compat mode that have thrown an error at least once about a setParameters call that had no encodings (we do not measure this against the general population of RTCRtpSenders, since without the compat mode this failure is never observed, because it fails the length change check).
   */
  constexpr impl::NumeratorMetric fail_no_encodings(3488);

  /**
   * generated from rtcrtpsender.setparameters.fail_no_getparameters
   * The proportion of RTCRtpSenders that have thrown an error at least once about a setParameters call because [[LastReturnedParameters]] was not set. (ie; there was not a recent enough call to getParameters)
   */
  constexpr impl::NumeratorMetric fail_no_getparameters(3489);

  /**
   * generated from rtcrtpsender.setparameters.fail_no_transactionid
   * The proportion of RTCRtpSenders that have thrown an error at least once about a setParameters call that did not set the transactionId field.
   */
  constexpr impl::NumeratorMetric fail_no_transactionid(3490);

  /**
   * generated from rtcrtpsender.setparameters.fail_other
   * The proportion of RTCRtpSenders that have thrown an error at least once about a setParameters call that had no encodings.
   */
  constexpr impl::NumeratorMetric fail_other(3491);

  /**
   * generated from rtcrtpsender.setparameters.fail_rid_changed
   * The proportion of RTCRtpSenders that have thrown an error at least once about a setParameters call that attempted to change the rid on an encoding (note that we only check this if the encoding count did not change, see fail_length_changed).
   */
  constexpr impl::NumeratorMetric fail_rid_changed(3492);

  /**
   * generated from rtcrtpsender.setparameters.fail_stale_transactionid
   * The proportion of RTCRtpSenders that have thrown an error at least once about a setParameters call that used a stale transaction id.
   */
  constexpr impl::NumeratorMetric fail_stale_transactionid(3493);

  /**
   * generated from rtcrtpsender.setparameters.warn_length_changed
   * The proportion of RTCRtpSenders configured with the setParameters compat mode that have warned at least once about a setParameters call that attempted to change the number of encodings.
   */
  constexpr impl::NumeratorMetric warn_length_changed(3494);

  /**
   * generated from rtcrtpsender.setparameters.warn_no_getparameters
   * The proportion of RTCRtpSenders configured with the setParameters compat mode that have warned at least once about a setParameters call because [[LastReturnedParameters]] was not set.  (ie; there was not a recent enough call to getParameters)
   */
  constexpr impl::NumeratorMetric warn_no_getparameters(3495);

  /**
   * generated from rtcrtpsender.setparameters.warn_no_transactionid
   * The proportion of RTCRtpSenders configured with the setParameters compat mode that have warned at least once about a setParameters call that did not set the transactionId field.
   */
  constexpr impl::NumeratorMetric warn_no_transactionid(3496);
}

namespace webrtc {
  /**
   * generated from webrtc.audio_quality_inbound_bandwidth_kbits
   * Locally measured data rate on inbound audio (kbit/s). Computed every second of a call.
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram WEBRTC_AUDIO_QUALITY_INBOUND_BANDWIDTH_KBITS.
   */
  constexpr impl::CustomDistributionMetric audio_quality_inbound_bandwidth_kbits(3497);

  /**
   * generated from webrtc.audio_quality_inbound_jitter
   * Locally measured jitter on inbound audio (ms). Sampled every second of a call.
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram WEBRTC_AUDIO_QUALITY_INBOUND_JITTER.
   */
  constexpr impl::TimingDistributionMetric audio_quality_inbound_jitter(3498);

  /**
   * generated from webrtc.audio_quality_inbound_packetloss_rate
   * Locally measured packet loss on inbound audio (permille). Sampled every second of a call.
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram WEBRTC_AUDIO_QUALITY_INBOUND_PACKETLOSS_RATE.
   */
  constexpr impl::CustomDistributionMetric audio_quality_inbound_packetloss_rate(3499);

  /**
   * generated from webrtc.audio_quality_outbound_jitter
   * RTCP-reported jitter by remote recipient of outbound audio (ms). Sampled every second of a call (for easy comparison).
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram WEBRTC_AUDIO_QUALITY_OUTBOUND_JITTER.
   */
  constexpr impl::TimingDistributionMetric audio_quality_outbound_jitter(3500);

  /**
   * generated from webrtc.audio_quality_outbound_packetloss_rate
   * RTCP-reported packet loss by remote recipient of outbound audio (permille). Sampled every second of a call (for easy comparison).
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram WEBRTC_AUDIO_QUALITY_OUTBOUND_PACKETLOSS_RATE.
   */
  constexpr impl::CustomDistributionMetric audio_quality_outbound_packetloss_rate(3501);

  /**
   * generated from webrtc.audio_quality_outbound_rtt
   * Roundtrip time of outbound audio (ms). Sampled every second of a call.
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram WEBRTC_AUDIO_QUALITY_OUTBOUND_RTT.
   */
  constexpr impl::TimingDistributionMetric audio_quality_outbound_rtt(3502);

  /**
   * generated from webrtc.av_call_duration
   * The length of time (in seconds) that a call with audio or video in it lasted.
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram WEBRTC_AV_CALL_DURATION.
   */
  constexpr impl::TimingDistributionMetric av_call_duration(3503);

  /**
   * generated from webrtc.call_count_3
   * The number of successfully connected calls made during a session (discounting re-negotiations).
   * This metric was generated to correspond to the Legacy Telemetry count histogram WEBRTC_CALL_COUNT_3.
   */
  constexpr impl::CounterMetric call_count_3(3504);

  /**
   * generated from webrtc.call_duration
   * The length of time (in seconds) that a call lasted.
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram WEBRTC_CALL_DURATION.
   */
  constexpr impl::TimingDistributionMetric call_duration(3505);

  /**
   * generated from webrtc.call_type
   * Type of call: (Bitmask) Audio = 1, Video = 2, DataChannels = 4
   * This metric was generated to correspond to the Legacy Telemetry enumerated histogram WEBRTC_CALL_TYPE.
   */
  constexpr impl::CustomDistributionMetric call_type(3506);

  /**
   * generated from webrtc.datachannel_negotiated
   */
  enum class DatachannelNegotiatedLabel: uint16_t {
    eFalse = 0,
    eTrue = 1,
    e__Other__,
  };
  /**
   * Was DataChannels negotiated
   * This metric was generated to correspond to the Legacy Telemetry boolean histogram WEBRTC_DATACHANNEL_NEGOTIATED.
   */
  constexpr impl::Labeled<impl::CounterMetric, DatachannelNegotiatedLabel> datachannel_negotiated(3507);

  /**
   * generated from webrtc.get_user_media_type
   * Type for media in getUserMedia calls (0=Camera, 1=Screen, 2=Application, 3=Window, 4=Browser, 5=Microphone, 6=AudioCapture, 7=Other)
   * This metric was generated to correspond to the Legacy Telemetry enumerated histogram WEBRTC_GET_USER_MEDIA_TYPE.
   */
  constexpr impl::CustomDistributionMetric get_user_media_type(3508);

  /**
   * generated from webrtc.gmp_init_success
   */
  enum class GmpInitSuccessLabel: uint16_t {
    eFalse = 0,
    eTrue = 1,
    e__Other__,
  };
  /**
   * Counts of GMP codec initialization success and failure
   * This metric was generated to correspond to the Legacy Telemetry boolean histogram WEBRTC_GMP_INIT_SUCCESS.
   */
  constexpr impl::Labeled<impl::CounterMetric, GmpInitSuccessLabel> gmp_init_success(3509);

  /**
   * generated from webrtc.h264_enabled
   */
  enum class H264EnabledLabel: uint16_t {
    eFalse = 0,
    eTrue = 1,
    e__Other__,
  };
  /**
   * Whether any kind of H264 is enabled
   * This metric was generated to correspond to the Legacy Telemetry boolean histogram WEBRTC_H264_ENABLED.
   */
  constexpr impl::Labeled<impl::CounterMetric, H264EnabledLabel> h264_enabled(3510);

  /**
   * generated from webrtc.hardware_h264_enabled
   */
  enum class HardwareH264EnabledLabel: uint16_t {
    eFalse = 0,
    eTrue = 1,
    e__Other__,
  };
  /**
   * Whether software H264 is enabled
   * This metric was generated to correspond to the Legacy Telemetry boolean histogram WEBRTC_HARDWARE_H264_ENABLED.
   */
  constexpr impl::Labeled<impl::CounterMetric, HardwareH264EnabledLabel> hardware_h264_enabled(3511);

  /**
   * generated from webrtc.has_h264_hardware
   */
  enum class HasH264HardwareLabel: uint16_t {
    eFalse = 0,
    eTrue = 1,
    e__Other__,
  };
  /**
   * Whether the user has H264 hardware
   * This metric was generated to correspond to the Legacy Telemetry boolean histogram WEBRTC_HAS_H264_HARDWARE.
   */
  constexpr impl::Labeled<impl::CounterMetric, HasH264HardwareLabel> has_h264_hardware(3512);

  /**
   * generated from webrtc.max_audio_receive_track
   * Number of Audio tracks received simultaneously
   * This metric was generated to correspond to the Legacy Telemetry linear histogram WEBRTC_MAX_AUDIO_RECEIVE_TRACK.
   */
  constexpr impl::CustomDistributionMetric max_audio_receive_track(3513);

  /**
   * generated from webrtc.max_audio_send_track
   * Number of Audio tracks sent simultaneously
   * This metric was generated to correspond to the Legacy Telemetry linear histogram WEBRTC_MAX_AUDIO_SEND_TRACK.
   */
  constexpr impl::CustomDistributionMetric max_audio_send_track(3514);

  /**
   * generated from webrtc.max_video_receive_track
   * Number of Video tracks received simultaneously
   * This metric was generated to correspond to the Legacy Telemetry linear histogram WEBRTC_MAX_VIDEO_RECEIVE_TRACK.
   */
  constexpr impl::CustomDistributionMetric max_video_receive_track(3515);

  /**
   * generated from webrtc.max_video_send_track
   * Number of Video tracks sent simultaneously
   * This metric was generated to correspond to the Legacy Telemetry linear histogram WEBRTC_MAX_VIDEO_SEND_TRACK.
   */
  constexpr impl::CustomDistributionMetric max_video_send_track(3516);

  /**
   * generated from webrtc.renegotiations
   * Number of Renegotiations during each call
   * This metric was generated to correspond to the Legacy Telemetry linear histogram WEBRTC_RENEGOTIATIONS.
   */
  constexpr impl::CustomDistributionMetric renegotiations(3517);

  /**
   * generated from webrtc.software_h264_enabled
   */
  enum class SoftwareH264EnabledLabel: uint16_t {
    eFalse = 0,
    eTrue = 1,
    e__Other__,
  };
  /**
   * Whether hardware H264 is enabled
   * This metric was generated to correspond to the Legacy Telemetry boolean histogram WEBRTC_SOFTWARE_H264_ENABLED.
   */
  constexpr impl::Labeled<impl::CounterMetric, SoftwareH264EnabledLabel> software_h264_enabled(3518);

  /**
   * generated from webrtc.video_decoder_bitrate_avg_per_call_kbps
   * Video decoder's average bitrate (in kbits/s) over an entire call
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram WEBRTC_VIDEO_DECODER_BITRATE_AVG_PER_CALL_KBPS.
   */
  constexpr impl::CustomDistributionMetric video_decoder_bitrate_avg_per_call_kbps(3519);

  /**
   * generated from webrtc.video_decoder_bitrate_std_dev_per_call_kbps
   * Standard deviation from video decoder's average bitrate (in kbits/s) over an entire call
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram WEBRTC_VIDEO_DECODER_BITRATE_STD_DEV_PER_CALL_KBPS.
   */
  constexpr impl::CustomDistributionMetric video_decoder_bitrate_std_dev_per_call_kbps(3520);

  /**
   * generated from webrtc.video_decoder_discarded_packets_per_call_ppm
   * Video decoder's number of discarded packets (in packets/min) over an entire call
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram WEBRTC_VIDEO_DECODER_DISCARDED_PACKETS_PER_CALL_PPM.
   */
  constexpr impl::CustomDistributionMetric video_decoder_discarded_packets_per_call_ppm(3521);

  /**
   * generated from webrtc.video_decoder_framerate_10x_std_dev_per_call
   * Standard deviation from video decoder's average framerate (in 1/10 fps) over an entire call
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram WEBRTC_VIDEO_DECODER_FRAMERATE_10X_STD_DEV_PER_CALL.
   */
  constexpr impl::CustomDistributionMetric video_decoder_framerate_10x_std_dev_per_call(3522);

  /**
   * generated from webrtc.video_decoder_framerate_avg_per_call
   * Video decoder's average framerate (in fps) over an entire call
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram WEBRTC_VIDEO_DECODER_FRAMERATE_AVG_PER_CALL.
   */
  constexpr impl::CustomDistributionMetric video_decoder_framerate_avg_per_call(3523);

  /**
   * generated from webrtc.video_encoder_bitrate_avg_per_call_kbps
   * Video encoder's average bitrate (in kbits/s) over an entire call
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram WEBRTC_VIDEO_ENCODER_BITRATE_AVG_PER_CALL_KBPS.
   */
  constexpr impl::CustomDistributionMetric video_encoder_bitrate_avg_per_call_kbps(3524);

  /**
   * generated from webrtc.video_encoder_bitrate_std_dev_per_call_kbps
   * Standard deviation from video encoder's average bitrate (in kbits/s) over an entire call
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram WEBRTC_VIDEO_ENCODER_BITRATE_STD_DEV_PER_CALL_KBPS.
   */
  constexpr impl::CustomDistributionMetric video_encoder_bitrate_std_dev_per_call_kbps(3525);

  /**
   * generated from webrtc.video_encoder_framerate_10x_std_dev_per_call
   * Standard deviation from video encoder's average framerate (in 1/10 fps) over an entire call
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram WEBRTC_VIDEO_ENCODER_FRAMERATE_10X_STD_DEV_PER_CALL.
   */
  constexpr impl::CustomDistributionMetric video_encoder_framerate_10x_std_dev_per_call(3526);

  /**
   * generated from webrtc.video_encoder_framerate_avg_per_call
   * Video encoder's average framerate (in fps) over an entire call
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram WEBRTC_VIDEO_ENCODER_FRAMERATE_AVG_PER_CALL.
   */
  constexpr impl::CustomDistributionMetric video_encoder_framerate_avg_per_call(3527);

  /**
   * generated from webrtc.video_quality_inbound_bandwidth_kbits
   * Locally measured data rate of inbound video (kbit/s). Computed every second of a call.
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram WEBRTC_VIDEO_QUALITY_INBOUND_BANDWIDTH_KBITS.
   */
  constexpr impl::CustomDistributionMetric video_quality_inbound_bandwidth_kbits(3528);

  /**
   * generated from webrtc.video_quality_inbound_jitter
   * Locally measured jitter on inbound video (ms). Sampled every second of a call.
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram WEBRTC_VIDEO_QUALITY_INBOUND_JITTER.
   */
  constexpr impl::TimingDistributionMetric video_quality_inbound_jitter(3529);

  /**
   * generated from webrtc.video_quality_inbound_packetloss_rate
   * Locally measured packet loss on inbound video (permille). Sampled every second of a call.
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram WEBRTC_VIDEO_QUALITY_INBOUND_PACKETLOSS_RATE.
   */
  constexpr impl::CustomDistributionMetric video_quality_inbound_packetloss_rate(3530);

  /**
   * generated from webrtc.video_quality_outbound_jitter
   * RTCP-reported jitter by remote recipient of outbound video (ms). Sampled every second of a call (for easy comparison).
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram WEBRTC_VIDEO_QUALITY_OUTBOUND_JITTER.
   */
  constexpr impl::TimingDistributionMetric video_quality_outbound_jitter(3531);

  /**
   * generated from webrtc.video_quality_outbound_packetloss_rate
   * RTCP-reported packet loss by remote recipient of outbound video (permille). Sampled every second of a call (for easy comparison).
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram WEBRTC_VIDEO_QUALITY_OUTBOUND_PACKETLOSS_RATE.
   */
  constexpr impl::CustomDistributionMetric video_quality_outbound_packetloss_rate(3532);

  /**
   * generated from webrtc.video_quality_outbound_rtt
   * Roundtrip time of outbound video (ms). Sampled every second of a call.
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram WEBRTC_VIDEO_QUALITY_OUTBOUND_RTT.
   */
  constexpr impl::TimingDistributionMetric video_quality_outbound_rtt(3533);
}

namespace webrtc_video {
  /**
   * generated from webrtc.video.recv_codec_used
   * The video codec used for receiving video on a WebRTC call. This metric was generated to correspond to the Legacy Telemetry scalar webrtc.video.recv_codec_used.
   */
  constexpr impl::Labeled<impl::CounterMetric, DynamicLabel> recv_codec_used(3534);

  /**
   * generated from webrtc.video.send_codec_used
   * The video codec used for sending video on a WebRTC call. This metric was generated to correspond to the Legacy Telemetry scalar webrtc.video.send_codec_used.
   */
  constexpr impl::Labeled<impl::CounterMetric, DynamicLabel> send_codec_used(3535);
}

namespace webrtcdtls {
  /**
   * generated from webrtcdtls.cipher
   * The CipherSuite used for each webrtc DTLS connection, as a string representation of the CipherSuite's ID in 4 hex digits (eg; TLS_DHE_RSA_WITH_AES_128_CBC_SHA would be "0x0033")
   */
  constexpr impl::Labeled<impl::CounterMetric, DynamicLabel> cipher(3536);

  /**
   * generated from webrtcdtls.client_handshake_result
   * The result of each webrtc client DTLS handshake as a string containing either the name of the error code (eg; SSL_ERROR_BAD_CERTIFICATE), SUCCESS for successful handshakes, ALPN_FAILURE when ALPN negotiation fails, or CERT_FAILURE when cert validation fails.
   */
  constexpr impl::Labeled<impl::CounterMetric, DynamicLabel> client_handshake_result(3537);

  /**
   * generated from webrtcdtls.client_handshake_started_counter
   * The number of webrtc transports that have started a DTLS handshake as the client.
   */
  constexpr impl::CounterMetric client_handshake_started_counter(3538);

  /**
   * generated from webrtcdtls.protocol_version
   * The version of DTLS used for each webrtc connection. Can be 1.0, 1.2, or 1.3 (there is no 1.1 version of DTLS)
   */
  constexpr impl::Labeled<impl::CounterMetric, DynamicLabel> protocol_version(3539);

  /**
   * generated from webrtcdtls.server_handshake_result
   * The result of each webrtc server DTLS handshake, as the name of the error code (eg; SSL_ERROR_BAD_CERTIFICATE), the empty string for successful handshakes, ALPN_FAILURE when ALPN negotiation fails, or CERT_FAILURE when cert validation fails.
   */
  constexpr impl::Labeled<impl::CounterMetric, DynamicLabel> server_handshake_result(3540);

  /**
   * generated from webrtcdtls.server_handshake_started_counter
   * The number of webrtc transports that have started a DTLS handshake as the server.
   */
  constexpr impl::CounterMetric server_handshake_started_counter(3541);

  /**
   * generated from webrtcdtls.srtp_cipher
   * The SRTPProtectionProfile (see RFC 5764) used for each webrtc SRTP connection, as a string representation of the SRTPProtectionProfile's ID in 4 hex digits (eg; SRTP_AES128_CM_HMAC_SHA1_80 would be "0x0001")
   */
  constexpr impl::Labeled<impl::CounterMetric, DynamicLabel> srtp_cipher(3542);
}

} // namespace mozilla::glean

#endif // mozilla_GleanDomMediaWebrtcMetrics_h
