// -*- mode: C++ -*-

// AUTOGENERATED BY glean_parser.  DO NOT EDIT.

/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

#ifndef mozilla_GleanSecurityCertverifierMetrics_h
#define mozilla_GleanSecurityCertverifierMetrics_h

#include "mozilla/glean/bindings/MetricTypes.h"

namespace mozilla::glean {

namespace cert_signature_cache {
  /**
   * generated from cert_signature_cache.hits
   * How often a certificate signature to be verified is in the cache already.
   */
  constexpr impl::NumeratorMetric hits(3862);

  /**
   * generated from cert_signature_cache.total
   * How many certificate signature verifications are performed.
   */
  constexpr impl::DenominatorMetric total(3863);
}

namespace cert_trust_cache {
  /**
   * generated from cert_trust_cache.hits
   * How often a certificate's trust is in the cache already.
   */
  constexpr impl::NumeratorMetric hits(3864);

  /**
   * generated from cert_trust_cache.total
   * How many certificate trust lookups are performed.
   */
  constexpr impl::DenominatorMetric total(3865);
}

namespace cert_verifier {
  /**
   * generated from cert_verifier.cert_revocation_mechanisms
   */
  enum class CertRevocationMechanismsLabel: uint16_t {
    eCrlite = 0,
    eStapledocsp = 1,
    eCachedocsp = 2,
    eOcsp = 3,
    eOnecrl = 4,
    eShortvalidity = 5,
    e__Other__,
  };
  /**
   * Which revocation checking mechanisms were used in a TLS handshake?
   */
  constexpr impl::Labeled<impl::CounterMetric, CertRevocationMechanismsLabel> cert_revocation_mechanisms(3866);

  /**
   * generated from cert_verifier.crlite_status
   */
  enum class CrliteStatusLabel: uint16_t {
    eNoFilter = 0,
    eNotCovered = 1,
    eNotEnrolled = 2,
    eNotRevoked = 3,
    eRevokedInFilter = 4,
    eRevokedInStash = 5,
    e__Other__,
  };
  /**
   * Counts the number of times different CRLite statuses were returned.
   */
  constexpr impl::Labeled<impl::CounterMetric, CrliteStatusLabel> crlite_status(3867);

  /**
   * generated from cert_verifier.crlite_vs_ocsp_result
   */
  enum class CrliteVsOcspResultLabel: uint16_t {
    eCrliterevocspfail = 0,
    eCrliterevocspok = 1,
    eCrliterevocsprev = 2,
    eCrliterevocspunk = 3,
    eCrliterevocspsoft = 4,
    e__Other__,
  };
  /**
   * The OCSP result when CRLite claims a certificate is revoked.
   */
  constexpr impl::Labeled<impl::CounterMetric, CrliteVsOcspResultLabel> crlite_vs_ocsp_result(3868);

  /**
   * generated from cert_verifier.trust_obj_count
   * The total number of trust objects in cert9.db
   */
  constexpr impl::QuantityMetric trust_obj_count(3869);
}

} // namespace mozilla::glean

#endif // mozilla_GleanSecurityCertverifierMetrics_h
