// -*- mode: C++ -*-

// AUTOGENERATED BY glean_parser.  DO NOT EDIT.

/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

#ifndef mozilla_GleanSecurityManagerSslMetrics_h
#define mozilla_GleanSecurityManagerSslMetrics_h

#include "mozilla/glean/bindings/MetricTypes.h"

namespace mozilla::glean {

namespace networking {
  /**
   * generated from networking.loading_certs_task
   * The time in milliseconds to load any external certificates. This occurs off of the main-thread, but can block main-thread operations. This metric was generated to correspond to the Legacy Telemetry scalar networking.loading_certs_task.
   */
  constexpr impl::QuantityMetric loading_certs_task(160);

  /**
   * generated from networking.nss_initialization
   * The time in milliseconds to initialize the NSS component in the parent process. This metric was generated to correspond to the Legacy Telemetry scalar networking.nss_initialization.
   */
  constexpr impl::QuantityMetric nss_initialization(161);
}

namespace security {
  /**
   * generated from security.client_auth_cert_usage
   * Measures how many servers have requested a client authentication certificate (key: "requested") and how many times the user has opted to send one in response (key: "sent"). This metric was generated to correspond to the Legacy Telemetry scalar security.client_auth_cert_usage.
   */
  constexpr impl::Labeled<impl::CounterMetric, DynamicLabel> client_auth_cert_usage(335);
}

namespace cert_compression {
  /**
   * generated from cert_compression.failures
   */
  enum class FailuresLabel: uint16_t {
    eZlib = 0,
    eBrotli = 1,
    eZstd = 2,
    e__Other__,
  };
  /**
   * The number of times each certificate compression algorithm returned an error.
   */
  constexpr impl::Labeled<impl::CounterMetric, FailuresLabel> failures(3872);
}

namespace cert_storage {
  /**
   * generated from cert_storage.memory
   * Heap memory used by cert_storage.
   */
  constexpr impl::MemoryDistributionMetric memory(3873);
}

namespace cert_verification_time {
  /**
   * generated from cert_verification_time.failure
   * The time it takes to fail to verify a certificate in a TLS handshake.
   */
  constexpr impl::TimingDistributionMetric failure(3874);

  /**
   * generated from cert_verification_time.success
   * The time it takes to successfully verify a certificate in a TLS handshake.
   */
  constexpr impl::TimingDistributionMetric success(3875);
}

namespace data_storage {
  /**
   * generated from data_storage.alternate_services
   * The number of entries stored in the AlternateServices nsIDataStorage
   */
  constexpr impl::QuantityMetric alternate_services(3876);

  /**
   * generated from data_storage.client_auth_remember_list
   * The number of entries stored in the ClientAuthRememberList nsIDataStorage
   */
  constexpr impl::QuantityMetric client_auth_remember_list(3877);

  /**
   * generated from data_storage.site_security_service_state
   * The number of entries stored in the SiteSecurityServiceState nsIDataStorage
   */
  constexpr impl::QuantityMetric site_security_service_state(3878);
}

namespace ocsp_request_time {
  /**
   * generated from ocsp_request_time.cancel
   * The time it takes to make an OCSP request that was cancelled.
   */
  constexpr impl::TimingDistributionMetric cancel(3879);

  /**
   * generated from ocsp_request_time.failure
   * The time it takes to make an OCSP request that failed.
   */
  constexpr impl::TimingDistributionMetric failure(3880);

  /**
   * generated from ocsp_request_time.success
   * The time it takes to make an OCSP request that succeeded.
   */
  constexpr impl::TimingDistributionMetric success(3881);
}

namespace pkcs11 {
  /**
   * generated from pkcs11.third_party_modules_loaded
   * The number of third-party PKCS#11 modules loaded.
   */
  constexpr impl::QuantityMetric third_party_modules_loaded(3882);
}

namespace tls {
  /**
   * generated from tls.certificate_verifications
   * The total number of successful TLS server certificate verifications.
   */
  constexpr impl::DenominatorMetric certificate_verifications(3883);

  /**
   * generated from tls.xyber_intolerance_reason
   */
  enum class XyberIntoleranceReasonLabel: uint16_t {
    ePrConnectResetError = 0,
    ePrEndOfFileError = 1,
    eSslErrorBadHandshakeHashValue = 2,
    eSslErrorBadMacAlert = 3,
    eSslErrorBadMacRead = 4,
    eSslErrorDecodeErrorAlert = 5,
    eSslErrorHandshakeFailed = 6,
    eSslErrorHandshakeFailureAlert = 7,
    eSslErrorHandshakeUnexpectedAlert = 8,
    eSslErrorIllegalParameterAlert = 9,
    eSslErrorInternalErrorAlert = 10,
    eSslErrorKeyExchangeFailure = 11,
    eSslErrorNoCypherOverlap = 12,
    eSslErrorProtocolVersionAlert = 13,
    eSslErrorRxUnexpectedRecordType = 14,
    eSslErrorRxMalformedHybridKeyShare = 15,
    eSslErrorUnsupportedVersion = 16,
    e__Other__,
  };
  /**
   * The error that was returned from a failed TLS 1.3 handshake in which the client sent a mlkem768x25519 key share (see tlsIntoleranceTelemetryBucket() in nsNSSIOLayer.cpp).
   */
  constexpr impl::Labeled<impl::CounterMetric, XyberIntoleranceReasonLabel> xyber_intolerance_reason(3884);
}

namespace verification_used_cert_from {
  /**
   * generated from verification_used_cert_from.built_in_roots_module
   * How many successfully-built certificate chains used a certificate from the built-in roots module.
   */
  constexpr impl::NumeratorMetric built_in_roots_module(3885);

  /**
   * generated from verification_used_cert_from.nss_cert_db
   * How many successfully-built certificate chains used a certificate from the NSS cert DB.
   */
  constexpr impl::NumeratorMetric nss_cert_db(3886);

  /**
   * generated from verification_used_cert_from.preloaded_intermediates
   * How many successfully-built certificate chains used a certificate from preloaded intermediates.
   */
  constexpr impl::NumeratorMetric preloaded_intermediates(3887);

  /**
   * generated from verification_used_cert_from.third_party_certificates
   * How many successfully-built certificate chains used a third-party certificate from the OS.
   */
  constexpr impl::NumeratorMetric third_party_certificates(3888);

  /**
   * generated from verification_used_cert_from.tls_handshake
   * How many successfully-built certificate chains used a certificate from the TLS handshake.
   */
  constexpr impl::NumeratorMetric tls_handshake(3889);
}

} // namespace mozilla::glean

#endif // mozilla_GleanSecurityManagerSslMetrics_h
