// -*- mode: C++ -*-

// AUTOGENERATED BY glean_parser.  DO NOT EDIT.

/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

#ifndef mozilla_GleanTelemetryMetrics_h
#define mozilla_GleanTelemetryMetrics_h

#include "mozilla/glean/bindings/MetricTypes.h"

namespace mozilla::glean {

namespace browser_engagement {
  /**
   * generated from browser.engagement.session_time_excluding_suspend
   * The duration of the session in milliseconds, excluding the time the device was suspended. This metric was generated to correspond to the Legacy Telemetry scalar browser.engagement.session_time_excluding_suspend.
   */
  constexpr impl::QuantityMetric session_time_excluding_suspend(33);

  /**
   * generated from browser.engagement.session_time_including_suspend
   * The duration of the session in milliseconds, including the time the device was suspended. This metric was generated to correspond to the Legacy Telemetry scalar browser.engagement.session_time_including_suspend.
   */
  constexpr impl::QuantityMetric session_time_including_suspend(34);
}

namespace browser_timings {
  /**
   * generated from browser.timings.last_shutdown
   * The time, in milliseconds, it took to complete the last shutdown. On successful shutdown, Telemetry saves this to disk into Telemetry.ShutdownTime.txt. On the next startup this is loaded and recorded. This metric was generated to correspond to the Legacy Telemetry scalar browser.timings.last_shutdown.
   */
  constexpr impl::QuantityMetric last_shutdown(4889);
}

namespace legacy_telemetry {
  /**
   * generated from legacy.telemetry.client_id
   * The client_id according to Telemetry.
   * Might not always have a value due to being too early for it to have
   * loaded.
   * Value may be the canary client id `c0ffeec0-ffee-c0ff-eec0-ffeec0ffeec0`
   * in pings near when the data upload pref is disabled (if Telemetry gets
   * to go first), or between when a client_id has been removed and when it
   * has been regenerated.
   * Does not need to be sent in the Glean "deletion-request" ping.
   */
  constexpr impl::UuidMetric client_id(4890);

  /**
   * generated from legacy.telemetry.profile_group_id
   * The profile_group_id according to Telemetry.
   * Might not always have a value due to being too early for it to have
   * loaded.
   * Does not need to be sent in the Glean "deletion-request" ping.
   */
  constexpr impl::UuidMetric profile_group_id(4891);
}

namespace onboarding_opt_out {


}

namespace telemetry {
  /**
   * generated from telemetry.data_upload_optin
   * User opted into sending Telemetry data again. This metric was generated to correspond to the Legacy Telemetry scalar telemetry.data_upload_optin.
   */
  constexpr impl::BooleanMetric data_upload_optin(4895);
}

namespace usage {
  /**
   * generated from usage.app_build
   * The build identifier generated by the CI system (e.g. "1234/A").
   * If the value was not provided through configuration,
   * this metric gets set to `Unknown`.
   */
  constexpr impl::StringMetric app_build(4896);

  /**
   * generated from usage.app_channel
   * The channel the application is being distributed on.
   */
  constexpr impl::StringMetric app_channel(4897);

  /**
   * generated from usage.app_display_version
   * The user visible version string (e.g. "1.0.3").
   * If the value was not provided through configuration,
   * this metric gets set to `Unknown`.
   */
  constexpr impl::StringMetric app_display_version(4898);

  /**
   * generated from usage.distribution_id
   * The distribution id associated with the install of Firefox.
   */
  constexpr impl::StringMetric distribution_id(4899);

  /**
   * generated from usage.first_run_date
   * The date of the profile's first use. Set from `ProfileAge.firstUse`
   */
  constexpr impl::DatetimeMetric first_run_date(4900);

  /**
   * generated from usage.is_default_browser
   * Whether Firefox is set as the default browser.
   */
  constexpr impl::BooleanMetric is_default_browser(4901);

  /**
   * generated from usage.os
   * The name of the operating system.
   * Possible values:
   * Android, iOS, Linux, Darwin, Windows,
   * FreeBSD, NetBSD, OpenBSD, Solaris, Unknown
   */
  constexpr impl::StringMetric os(4902);

  /**
   * generated from usage.os_version
   * The user-visible version of the operating system (e.g. "1.2.3").
   * If the version detection fails, this metric gets set to `Unknown`.
   */
  constexpr impl::StringMetric os_version(4903);

  /**
   * generated from usage.profile_id
   * A UUID uniquely identifying the profile,
   * not shared with other telemetry data.
   */
  constexpr impl::UuidMetric profile_id(4904);

  /**
   * generated from usage.reason
   * The reason the usage-reporting ping was sent.
   */
  constexpr impl::StringMetric reason(4905);

  /**
   * generated from usage.windows_build_number
   * The optional Windows build number, reported by Windows
   * (e.g. 22000) and not set for other platforms.
   */
  constexpr impl::QuantityMetric windows_build_number(4906);
}

} // namespace mozilla::glean

#endif // mozilla_GleanTelemetryMetrics_h
