#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioEncoder" "\0"
  /*   392 */ "AudioListener" "\0"
  /*   406 */ "AudioNode" "\0"
  /*   416 */ "AudioParam" "\0"
  /*   427 */ "AudioParamMap" "\0"
  /*   441 */ "AudioProcessingEvent" "\0"
  /*   462 */ "AudioScheduledSourceNode" "\0"
  /*   487 */ "AudioTrack" "\0"
  /*   498 */ "AudioTrackList" "\0"
  /*   513 */ "AudioWorklet" "\0"
  /*   526 */ "AudioWorkletGlobalScope" "\0"
  /*   550 */ "AudioWorkletNode" "\0"
  /*   567 */ "AudioWorkletProcessor" "\0"
  /*   589 */ "AuthenticatorAssertionResponse" "\0"
  /*   620 */ "AuthenticatorAttestationResponse" "\0"
  /*   653 */ "AuthenticatorResponse" "\0"
  /*   675 */ "BarProp" "\0"
  /*   683 */ "BaseAudioContext" "\0"
  /*   700 */ "BatteryManager" "\0"
  /*   715 */ "BeforeUnloadEvent" "\0"
  /*   733 */ "BiquadFilterNode" "\0"
  /*   750 */ "Blob" "\0"
  /*   755 */ "BlobEvent" "\0"
  /*   765 */ "BroadcastChannel" "\0"
  /*   782 */ "BrowsingContext" "\0"
  /*   798 */ "BrowsingContextGroup" "\0"
  /*   819 */ "ByteLengthQueuingStrategy" "\0"
  /*   845 */ "CDATASection" "\0"
  /*   858 */ "CSPViolationReportBody" "\0"
  /*   881 */ "CSS" "\0"
  /*   885 */ "CSS2Properties" "\0"
  /*   900 */ "CSSAnimation" "\0"
  /*   913 */ "CSSConditionRule" "\0"
  /*   930 */ "CSSContainerRule" "\0"
  /*   947 */ "CSSCounterStyleRule" "\0"
  /*   967 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*  1000 */ "CSSFontFaceRule" "\0"
  /*  1016 */ "CSSFontFeatureValuesRule" "\0"
  /*  1041 */ "CSSFontPaletteValuesRule" "\0"
  /*  1066 */ "CSSGroupingRule" "\0"
  /*  1082 */ "CSSImportRule" "\0"
  /*  1096 */ "CSSKeyframeRule" "\0"
  /*  1112 */ "CSSKeyframesRule" "\0"
  /*  1129 */ "CSSLayerBlockRule" "\0"
  /*  1147 */ "CSSLayerStatementRule" "\0"
  /*  1169 */ "CSSMarginRule" "\0"
  /*  1183 */ "CSSMediaRule" "\0"
  /*  1196 */ "CSSMozDocumentRule" "\0"
  /*  1215 */ "CSSNamespaceRule" "\0"
  /*  1232 */ "CSSNestedDeclarations" "\0"
  /*  1254 */ "CSSPageDescriptors" "\0"
  /*  1273 */ "CSSPageRule" "\0"
  /*  1285 */ "CSSPositionTryDescriptors" "\0"
  /*  1311 */ "CSSPositionTryRule" "\0"
  /*  1330 */ "CSSPropertyRule" "\0"
  /*  1346 */ "CSSPseudoElement" "\0"
  /*  1363 */ "CSSRule" "\0"
  /*  1371 */ "CSSRuleList" "\0"
  /*  1383 */ "CSSScopeRule" "\0"
  /*  1396 */ "CSSStartingStyleRule" "\0"
  /*  1417 */ "CSSStyleDeclaration" "\0"
  /*  1437 */ "CSSStyleRule" "\0"
  /*  1450 */ "CSSStyleSheet" "\0"
  /*  1464 */ "CSSSupportsRule" "\0"
  /*  1480 */ "CSSTransition" "\0"
  /*  1494 */ "Cache" "\0"
  /*  1500 */ "CacheStorage" "\0"
  /*  1513 */ "CallbackDebuggerNotification" "\0"
  /*  1542 */ "CanonicalBrowsingContext" "\0"
  /*  1567 */ "CanvasCaptureMediaStream" "\0"
  /*  1592 */ "CanvasGradient" "\0"
  /*  1607 */ "CanvasPattern" "\0"
  /*  1621 */ "CanvasRenderingContext2D" "\0"
  /*  1646 */ "CaretPosition" "\0"
  /*  1660 */ "CaretStateChangedEvent" "\0"
  /*  1683 */ "ChannelMergerNode" "\0"
  /*  1701 */ "ChannelSplitterNode" "\0"
  /*  1721 */ "ChannelWrapper" "\0"
  /*  1736 */ "CharacterData" "\0"
  /*  1750 */ "CheckerboardReportService" "\0"
  /*  1776 */ "ChildProcessMessageManager" "\0"
  /*  1803 */ "ChildSHistory" "\0"
  /*  1817 */ "ChromeMessageBroadcaster" "\0"
  /*  1842 */ "ChromeMessageSender" "\0"
  /*  1862 */ "ChromeNodeList" "\0"
  /*  1877 */ "ChromeUtils" "\0"
  /*  1889 */ "ChromeWorker" "\0"
  /*  1902 */ "Client" "\0"
  /*  1909 */ "Clients" "\0"
  /*  1917 */ "Clipboard" "\0"
  /*  1927 */ "ClipboardEvent" "\0"
  /*  1942 */ "ClipboardItem" "\0"
  /*  1956 */ "ClonedErrorHolder" "\0"
  /*  1974 */ "CloseEvent" "\0"
  /*  1985 */ "CloseWatcher" "\0"
  /*  1998 */ "CommandEvent" "\0"
  /*  2011 */ "Comment" "\0"
  /*  2019 */ "CompositionEvent" "\0"
  /*  2036 */ "CompressionStream" "\0"
  /*  2054 */ "ConsoleInstance" "\0"
  /*  2070 */ "ConstantSourceNode" "\0"
  /*  2089 */ "ContentFrameMessageManager" "\0"
  /*  2116 */ "ContentProcessMessageManager" "\0"
  /*  2145 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2183 */ "ConvolverNode" "\0"
  /*  2197 */ "CookieChangeEvent" "\0"
  /*  2215 */ "CookieStore" "\0"
  /*  2227 */ "CountQueuingStrategy" "\0"
  /*  2248 */ "CreateOfferRequest" "\0"
  /*  2267 */ "Credential" "\0"
  /*  2278 */ "CredentialsContainer" "\0"
  /*  2299 */ "Crypto" "\0"
  /*  2306 */ "CryptoKey" "\0"
  /*  2316 */ "CustomElementRegistry" "\0"
  /*  2338 */ "CustomEvent" "\0"
  /*  2350 */ "CustomStateSet" "\0"
  /*  2365 */ "DOMException" "\0"
  /*  2378 */ "DOMImplementation" "\0"
  /*  2396 */ "DOMLocalization" "\0"
  /*  2412 */ "DOMMatrix" "\0"
  /*  2422 */ "DOMMatrixReadOnly" "\0"
  /*  2440 */ "DOMParser" "\0"
  /*  2450 */ "DOMPoint" "\0"
  /*  2459 */ "DOMPointReadOnly" "\0"
  /*  2476 */ "DOMQuad" "\0"
  /*  2484 */ "DOMRect" "\0"
  /*  2492 */ "DOMRectList" "\0"
  /*  2504 */ "DOMRectReadOnly" "\0"
  /*  2520 */ "DOMStringList" "\0"
  /*  2534 */ "DOMStringMap" "\0"
  /*  2547 */ "DOMTokenList" "\0"
  /*  2560 */ "DataTransfer" "\0"
  /*  2573 */ "DataTransferItem" "\0"
  /*  2590 */ "DataTransferItemList" "\0"
  /*  2611 */ "DebuggerNotification" "\0"
  /*  2632 */ "DebuggerNotificationObserver" "\0"
  /*  2661 */ "DecompressionStream" "\0"
  /*  2681 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2708 */ "DelayNode" "\0"
  /*  2718 */ "DeprecationReportBody" "\0"
  /*  2740 */ "DeviceAcceleration" "\0"
  /*  2759 */ "DeviceLightEvent" "\0"
  /*  2776 */ "DeviceMotionEvent" "\0"
  /*  2794 */ "DeviceOrientationEvent" "\0"
  /*  2817 */ "DeviceRotationRate" "\0"
  /*  2836 */ "Directory" "\0"
  /*  2846 */ "Document" "\0"
  /*  2855 */ "DocumentFragment" "\0"
  /*  2872 */ "DocumentL10n" "\0"
  /*  2885 */ "DocumentTimeline" "\0"
  /*  2902 */ "DocumentType" "\0"
  /*  2915 */ "DominatorTree" "\0"
  /*  2929 */ "DragEvent" "\0"
  /*  2939 */ "DynamicsCompressorNode" "\0"
  /*  2962 */ "EXT_blend_minmax" "\0"
  /*  2979 */ "EXT_color_buffer_float" "\0"
  /*  3002 */ "EXT_color_buffer_half_float" "\0"
  /*  3030 */ "EXT_depth_clamp" "\0"
  /*  3046 */ "EXT_disjoint_timer_query" "\0"
  /*  3071 */ "EXT_float_blend" "\0"
  /*  3087 */ "EXT_frag_depth" "\0"
  /*  3102 */ "EXT_sRGB" "\0"
  /*  3111 */ "EXT_shader_texture_lod" "\0"
  /*  3134 */ "EXT_texture_compression_bptc" "\0"
  /*  3163 */ "EXT_texture_compression_rgtc" "\0"
  /*  3192 */ "EXT_texture_filter_anisotropic" "\0"
  /*  3223 */ "EXT_texture_norm16" "\0"
  /*  3242 */ "Element" "\0"
  /*  3250 */ "ElementInternals" "\0"
  /*  3267 */ "EncodedAudioChunk" "\0"
  /*  3285 */ "EncodedVideoChunk" "\0"
  /*  3303 */ "ErrorEvent" "\0"
  /*  3314 */ "Event" "\0"
  /*  3320 */ "EventCallbackDebuggerNotification" "\0"
  /*  3354 */ "EventCounts" "\0"
  /*  3366 */ "EventSource" "\0"
  /*  3378 */ "EventTarget" "\0"
  /*  3390 */ "Exception" "\0"
  /*  3400 */ "ExtendableEvent" "\0"
  /*  3416 */ "ExtendableMessageEvent" "\0"
  /*  3439 */ "ExtensionAlarms" "\0"
  /*  3455 */ "ExtensionBrowser" "\0"
  /*  3472 */ "ExtensionBrowserSettings" "\0"
  /*  3497 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3537 */ "ExtensionDns" "\0"
  /*  3550 */ "ExtensionEventManager" "\0"
  /*  3572 */ "ExtensionMockAPI" "\0"
  /*  3589 */ "ExtensionPort" "\0"
  /*  3603 */ "ExtensionProxy" "\0"
  /*  3618 */ "ExtensionRuntime" "\0"
  /*  3635 */ "ExtensionScripting" "\0"
  /*  3654 */ "ExtensionSetting" "\0"
  /*  3671 */ "ExtensionTest" "\0"
  /*  3685 */ "External" "\0"
  /*  3694 */ "FeaturePolicy" "\0"
  /*  3708 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3741 */ "FetchEvent" "\0"
  /*  3752 */ "FetchObserver" "\0"
  /*  3766 */ "File" "\0"
  /*  3771 */ "FileList" "\0"
  /*  3780 */ "FileReader" "\0"
  /*  3791 */ "FileReaderSync" "\0"
  /*  3806 */ "FileSystem" "\0"
  /*  3817 */ "FileSystemDirectoryEntry" "\0"
  /*  3842 */ "FileSystemDirectoryHandle" "\0"
  /*  3868 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3908 */ "FileSystemDirectoryIterator" "\0"
  /*  3936 */ "FileSystemDirectoryReader" "\0"
  /*  3962 */ "FileSystemEntry" "\0"
  /*  3978 */ "FileSystemFileEntry" "\0"
  /*  3998 */ "FileSystemFileHandle" "\0"
  /*  4019 */ "FileSystemHandle" "\0"
  /*  4036 */ "FileSystemSyncAccessHandle" "\0"
  /*  4063 */ "FileSystemWritableFileStream" "\0"
  /*  4092 */ "Flex" "\0"
  /*  4097 */ "FlexItemValues" "\0"
  /*  4112 */ "FlexLineValues" "\0"
  /*  4127 */ "FluentBundle" "\0"
  /*  4140 */ "FluentBundleAsyncIterator" "\0"
  /*  4166 */ "FluentBundleIterator" "\0"
  /*  4187 */ "FluentPattern" "\0"
  /*  4201 */ "FluentResource" "\0"
  /*  4216 */ "FocusEvent" "\0"
  /*  4227 */ "FontFace" "\0"
  /*  4236 */ "FontFaceSet" "\0"
  /*  4248 */ "FontFaceSetIterator" "\0"
  /*  4268 */ "FontFaceSetLoadEvent" "\0"
  /*  4289 */ "FormData" "\0"
  /*  4298 */ "FormData Iterator" "\0"
  /*  4316 */ "FormDataEvent" "\0"
  /*  4330 */ "FragmentDirective" "\0"
  /*  4348 */ "FrameCrashedEvent" "\0"
  /*  4366 */ "FrameLoader" "\0"
  /*  4378 */ "GPU" "\0"
  /*  4382 */ "GPUAdapter" "\0"
  /*  4393 */ "GPUAdapterInfo" "\0"
  /*  4408 */ "GPUBindGroup" "\0"
  /*  4421 */ "GPUBindGroupLayout" "\0"
  /*  4440 */ "GPUBuffer" "\0"
  /*  4450 */ "GPUBufferUsage" "\0"
  /*  4465 */ "GPUCanvasContext" "\0"
  /*  4482 */ "GPUColorWrite" "\0"
  /*  4496 */ "GPUCommandBuffer" "\0"
  /*  4513 */ "GPUCommandEncoder" "\0"
  /*  4531 */ "GPUCompilationInfo" "\0"
  /*  4550 */ "GPUCompilationMessage" "\0"
  /*  4572 */ "GPUComputePassEncoder" "\0"
  /*  4594 */ "GPUComputePipeline" "\0"
  /*  4613 */ "GPUDevice" "\0"
  /*  4623 */ "GPUDeviceLostInfo" "\0"
  /*  4641 */ "GPUError" "\0"
  /*  4650 */ "GPUInternalError" "\0"
  /*  4667 */ "GPUMapMode" "\0"
  /*  4678 */ "GPUOutOfMemoryError" "\0"
  /*  4698 */ "GPUPipelineLayout" "\0"
  /*  4716 */ "GPUQuerySet" "\0"
  /*  4728 */ "GPUQueue" "\0"
  /*  4737 */ "GPURenderBundle" "\0"
  /*  4753 */ "GPURenderBundleEncoder" "\0"
  /*  4776 */ "GPURenderPassEncoder" "\0"
  /*  4797 */ "GPURenderPipeline" "\0"
  /*  4815 */ "GPUSampler" "\0"
  /*  4826 */ "GPUShaderModule" "\0"
  /*  4842 */ "GPUShaderStage" "\0"
  /*  4857 */ "GPUSupportedFeatures" "\0"
  /*  4878 */ "GPUSupportedLimits" "\0"
  /*  4897 */ "GPUTexture" "\0"
  /*  4908 */ "GPUTextureUsage" "\0"
  /*  4924 */ "GPUTextureView" "\0"
  /*  4939 */ "GPUUncapturedErrorEvent" "\0"
  /*  4963 */ "GPUValidationError" "\0"
  /*  4982 */ "GainNode" "\0"
  /*  4991 */ "Gamepad" "\0"
  /*  4999 */ "GamepadAxisMoveEvent" "\0"
  /*  5020 */ "GamepadButton" "\0"
  /*  5034 */ "GamepadButtonEvent" "\0"
  /*  5053 */ "GamepadEvent" "\0"
  /*  5066 */ "GamepadHapticActuator" "\0"
  /*  5088 */ "GamepadLightIndicator" "\0"
  /*  5110 */ "GamepadPose" "\0"
  /*  5122 */ "GamepadServiceTest" "\0"
  /*  5141 */ "GamepadTouch" "\0"
  /*  5154 */ "Geolocation" "\0"
  /*  5166 */ "GeolocationCoordinates" "\0"
  /*  5189 */ "GeolocationPosition" "\0"
  /*  5209 */ "GeolocationPositionError" "\0"
  /*  5234 */ "GetUserMediaRequest" "\0"
  /*  5254 */ "GleanBoolean" "\0"
  /*  5267 */ "GleanCategory" "\0"
  /*  5281 */ "GleanCounter" "\0"
  /*  5294 */ "GleanCustomDistribution" "\0"
  /*  5318 */ "GleanDatetime" "\0"
  /*  5332 */ "GleanDenominator" "\0"
  /*  5349 */ "GleanEvent" "\0"
  /*  5360 */ "GleanImpl" "\0"
  /*  5370 */ "GleanLabeled" "\0"
  /*  5383 */ "GleanMemoryDistribution" "\0"
  /*  5407 */ "GleanMetric" "\0"
  /*  5419 */ "GleanNumerator" "\0"
  /*  5434 */ "GleanObject" "\0"
  /*  5446 */ "GleanPingsImpl" "\0"
  /*  5461 */ "GleanQuantity" "\0"
  /*  5475 */ "GleanRate" "\0"
  /*  5485 */ "GleanString" "\0"
  /*  5497 */ "GleanStringList" "\0"
  /*  5513 */ "GleanText" "\0"
  /*  5523 */ "GleanTimespan" "\0"
  /*  5537 */ "GleanTimingDistribution" "\0"
  /*  5561 */ "GleanUrl" "\0"
  /*  5570 */ "GleanUuid" "\0"
  /*  5580 */ "Grid" "\0"
  /*  5585 */ "GridArea" "\0"
  /*  5594 */ "GridDimension" "\0"
  /*  5608 */ "GridLine" "\0"
  /*  5617 */ "GridLines" "\0"
  /*  5627 */ "GridTrack" "\0"
  /*  5637 */ "GridTracks" "\0"
  /*  5648 */ "HTMLAllCollection" "\0"
  /*  5666 */ "HTMLAnchorElement" "\0"
  /*  5684 */ "HTMLAreaElement" "\0"
  /*  5700 */ "HTMLAudioElement" "\0"
  /*  5717 */ "HTMLBRElement" "\0"
  /*  5731 */ "HTMLBaseElement" "\0"
  /*  5747 */ "HTMLBodyElement" "\0"
  /*  5763 */ "HTMLButtonElement" "\0"
  /*  5781 */ "HTMLCanvasElement" "\0"
  /*  5799 */ "HTMLCollection" "\0"
  /*  5814 */ "HTMLDListElement" "\0"
  /*  5831 */ "HTMLDataElement" "\0"
  /*  5847 */ "HTMLDataListElement" "\0"
  /*  5867 */ "HTMLDetailsElement" "\0"
  /*  5886 */ "HTMLDialogElement" "\0"
  /*  5904 */ "HTMLDirectoryElement" "\0"
  /*  5925 */ "HTMLDivElement" "\0"
  /*  5940 */ "HTMLDocument" "\0"
  /*  5953 */ "HTMLElement" "\0"
  /*  5965 */ "HTMLEmbedElement" "\0"
  /*  5982 */ "HTMLFieldSetElement" "\0"
  /*  6002 */ "HTMLFontElement" "\0"
  /*  6018 */ "HTMLFormControlsCollection" "\0"
  /*  6045 */ "HTMLFormElement" "\0"
  /*  6061 */ "HTMLFrameElement" "\0"
  /*  6078 */ "HTMLFrameSetElement" "\0"
  /*  6098 */ "HTMLHRElement" "\0"
  /*  6112 */ "HTMLHeadElement" "\0"
  /*  6128 */ "HTMLHeadingElement" "\0"
  /*  6147 */ "HTMLHtmlElement" "\0"
  /*  6163 */ "HTMLIFrameElement" "\0"
  /*  6181 */ "HTMLImageElement" "\0"
  /*  6198 */ "HTMLInputElement" "\0"
  /*  6215 */ "HTMLLIElement" "\0"
  /*  6229 */ "HTMLLabelElement" "\0"
  /*  6246 */ "HTMLLegendElement" "\0"
  /*  6264 */ "HTMLLinkElement" "\0"
  /*  6280 */ "HTMLMapElement" "\0"
  /*  6295 */ "HTMLMarqueeElement" "\0"
  /*  6314 */ "HTMLMediaElement" "\0"
  /*  6331 */ "HTMLMenuElement" "\0"
  /*  6347 */ "HTMLMetaElement" "\0"
  /*  6363 */ "HTMLMeterElement" "\0"
  /*  6380 */ "HTMLModElement" "\0"
  /*  6395 */ "HTMLOListElement" "\0"
  /*  6412 */ "HTMLObjectElement" "\0"
  /*  6430 */ "HTMLOptGroupElement" "\0"
  /*  6450 */ "HTMLOptionElement" "\0"
  /*  6468 */ "HTMLOptionsCollection" "\0"
  /*  6490 */ "HTMLOutputElement" "\0"
  /*  6508 */ "HTMLParagraphElement" "\0"
  /*  6529 */ "HTMLParamElement" "\0"
  /*  6546 */ "HTMLPictureElement" "\0"
  /*  6565 */ "HTMLPreElement" "\0"
  /*  6580 */ "HTMLProgressElement" "\0"
  /*  6600 */ "HTMLQuoteElement" "\0"
  /*  6617 */ "HTMLScriptElement" "\0"
  /*  6635 */ "HTMLSelectElement" "\0"
  /*  6653 */ "HTMLSlotElement" "\0"
  /*  6669 */ "HTMLSourceElement" "\0"
  /*  6687 */ "HTMLSpanElement" "\0"
  /*  6703 */ "HTMLStyleElement" "\0"
  /*  6720 */ "HTMLTableCaptionElement" "\0"
  /*  6744 */ "HTMLTableCellElement" "\0"
  /*  6765 */ "HTMLTableColElement" "\0"
  /*  6785 */ "HTMLTableElement" "\0"
  /*  6802 */ "HTMLTableRowElement" "\0"
  /*  6822 */ "HTMLTableSectionElement" "\0"
  /*  6846 */ "HTMLTemplateElement" "\0"
  /*  6866 */ "HTMLTextAreaElement" "\0"
  /*  6886 */ "HTMLTimeElement" "\0"
  /*  6902 */ "HTMLTitleElement" "\0"
  /*  6919 */ "HTMLTrackElement" "\0"
  /*  6936 */ "HTMLUListElement" "\0"
  /*  6953 */ "HTMLUnknownElement" "\0"
  /*  6972 */ "HTMLVideoElement" "\0"
  /*  6989 */ "HashChangeEvent" "\0"
  /*  7005 */ "Headers" "\0"
  /*  7013 */ "Headers Iterator" "\0"
  /*  7030 */ "HeapSnapshot" "\0"
  /*  7043 */ "Highlight" "\0"
  /*  7053 */ "HighlightRegistry" "\0"
  /*  7071 */ "History" "\0"
  /*  7079 */ "IDBCursor" "\0"
  /*  7089 */ "IDBCursorWithValue" "\0"
  /*  7108 */ "IDBDatabase" "\0"
  /*  7120 */ "IDBFactory" "\0"
  /*  7131 */ "IDBIndex" "\0"
  /*  7140 */ "IDBKeyRange" "\0"
  /*  7152 */ "IDBObjectStore" "\0"
  /*  7167 */ "IDBOpenDBRequest" "\0"
  /*  7184 */ "IDBRequest" "\0"
  /*  7195 */ "IDBTransaction" "\0"
  /*  7210 */ "IDBVersionChangeEvent" "\0"
  /*  7232 */ "IIRFilterNode" "\0"
  /*  7246 */ "IOUtils" "\0"
  /*  7254 */ "IdentityCredential" "\0"
  /*  7273 */ "IdleDeadline" "\0"
  /*  7286 */ "Image" "\0"
  /*  7292 */ "ImageBitmap" "\0"
  /*  7304 */ "ImageBitmapRenderingContext" "\0"
  /*  7332 */ "ImageCapture" "\0"
  /*  7345 */ "ImageCaptureError" "\0"
  /*  7363 */ "ImageCaptureErrorEvent" "\0"
  /*  7386 */ "ImageData" "\0"
  /*  7396 */ "ImageDecoder" "\0"
  /*  7409 */ "ImageDocument" "\0"
  /*  7423 */ "ImageTrack" "\0"
  /*  7434 */ "ImageTrackList" "\0"
  /*  7449 */ "InputEvent" "\0"
  /*  7460 */ "InspectorCSSParser" "\0"
  /*  7479 */ "InspectorFontFace" "\0"
  /*  7497 */ "InspectorUtils" "\0"
  /*  7512 */ "InstallTriggerImpl" "\0"
  /*  7531 */ "IntersectionObserver" "\0"
  /*  7552 */ "IntersectionObserverEntry" "\0"
  /*  7578 */ "IntlUtils" "\0"
  /*  7588 */ "InvokeEvent" "\0"
  /*  7600 */ "JSProcessActorChild" "\0"
  /*  7620 */ "JSProcessActorParent" "\0"
  /*  7641 */ "JSWindowActorChild" "\0"
  /*  7660 */ "JSWindowActorParent" "\0"
  /*  7680 */ "KeyEvent" "\0"
  /*  7689 */ "KeyboardEvent" "\0"
  /*  7703 */ "KeyframeEffect" "\0"
  /*  7718 */ "L10nFileSource" "\0"
  /*  7733 */ "L10nOverlays" "\0"
  /*  7746 */ "L10nRegistry" "\0"
  /*  7759 */ "LargestContentfulPaint" "\0"
  /*  7782 */ "LegacyMozTCPSocket" "\0"
  /*  7801 */ "Localization" "\0"
  /*  7814 */ "Location" "\0"
  /*  7823 */ "Lock" "\0"
  /*  7828 */ "LockManager" "\0"
  /*  7840 */ "MIDIAccess" "\0"
  /*  7851 */ "MIDIConnectionEvent" "\0"
  /*  7871 */ "MIDIInput" "\0"
  /*  7881 */ "MIDIInputMap" "\0"
  /*  7894 */ "MIDIMessageEvent" "\0"
  /*  7911 */ "MIDIOutput" "\0"
  /*  7922 */ "MIDIOutputMap" "\0"
  /*  7936 */ "MIDIPort" "\0"
  /*  7945 */ "MLS" "\0"
  /*  7949 */ "MLSGroupView" "\0"
  /*  7962 */ "MOZ_debug" "\0"
  /*  7972 */ "MatchGlob" "\0"
  /*  7982 */ "MatchPattern" "\0"
  /*  7995 */ "MatchPatternSet" "\0"
  /*  8011 */ "MathMLElement" "\0"
  /*  8025 */ "MediaCapabilities" "\0"
  /*  8043 */ "MediaControlService" "\0"
  /*  8063 */ "MediaController" "\0"
  /*  8079 */ "MediaDeviceInfo" "\0"
  /*  8095 */ "MediaDevices" "\0"
  /*  8108 */ "MediaElementAudioSourceNode" "\0"
  /*  8136 */ "MediaEncryptedEvent" "\0"
  /*  8156 */ "MediaError" "\0"
  /*  8167 */ "MediaKeyError" "\0"
  /*  8181 */ "MediaKeyMessageEvent" "\0"
  /*  8202 */ "MediaKeySession" "\0"
  /*  8218 */ "MediaKeyStatusMap" "\0"
  /*  8236 */ "MediaKeyStatusMap Iterator" "\0"
  /*  8263 */ "MediaKeySystemAccess" "\0"
  /*  8284 */ "MediaKeys" "\0"
  /*  8294 */ "MediaList" "\0"
  /*  8304 */ "MediaMetadata" "\0"
  /*  8318 */ "MediaQueryList" "\0"
  /*  8333 */ "MediaQueryListEvent" "\0"
  /*  8353 */ "MediaRecorder" "\0"
  /*  8367 */ "MediaRecorderErrorEvent" "\0"
  /*  8391 */ "MediaSession" "\0"
  /*  8404 */ "MediaSource" "\0"
  /*  8416 */ "MediaStream" "\0"
  /*  8428 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8460 */ "MediaStreamAudioSourceNode" "\0"
  /*  8487 */ "MediaStreamError" "\0"
  /*  8504 */ "MediaStreamEvent" "\0"
  /*  8521 */ "MediaStreamTrack" "\0"
  /*  8538 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8570 */ "MediaStreamTrackEvent" "\0"
  /*  8592 */ "MerchantValidationEvent" "\0"
  /*  8616 */ "MessageBroadcaster" "\0"
  /*  8635 */ "MessageChannel" "\0"
  /*  8650 */ "MessageEvent" "\0"
  /*  8663 */ "MessageListenerManager" "\0"
  /*  8686 */ "MessagePort" "\0"
  /*  8698 */ "MessageSender" "\0"
  /*  8712 */ "MimeType" "\0"
  /*  8721 */ "MimeTypeArray" "\0"
  /*  8735 */ "MouseEvent" "\0"
  /*  8746 */ "MouseScrollEvent" "\0"
  /*  8763 */ "MozCanvasPrintState" "\0"
  /*  8783 */ "MozDocumentMatcher" "\0"
  /*  8802 */ "MozDocumentObserver" "\0"
  /*  8822 */ "MozQueryInterface" "\0"
  /*  8840 */ "MozSharedMap" "\0"
  /*  8853 */ "MozSharedMap Iterator" "\0"
  /*  8875 */ "MozSharedMapChangeEvent" "\0"
  /*  8899 */ "MozStorageAsyncStatementParams" "\0"
  /*  8930 */ "MozStorageStatementParams" "\0"
  /*  8956 */ "MozStorageStatementRow" "\0"
  /*  8979 */ "MozWritableSharedMap" "\0"
  /*  9000 */ "MutationEvent" "\0"
  /*  9014 */ "MutationObserver" "\0"
  /*  9031 */ "MutationRecord" "\0"
  /*  9046 */ "NamedNodeMap" "\0"
  /*  9059 */ "NavigateEvent" "\0"
  /*  9073 */ "Navigation" "\0"
  /*  9084 */ "NavigationActivation" "\0"
  /*  9105 */ "NavigationCurrentEntryChangeEvent" "\0"
  /*  9139 */ "NavigationDestination" "\0"
  /*  9161 */ "NavigationHistoryEntry" "\0"
  /*  9184 */ "NavigationPreloadManager" "\0"
  /*  9209 */ "NavigationTransition" "\0"
  /*  9230 */ "Navigator" "\0"
  /*  9240 */ "NetworkInformation" "\0"
  /*  9259 */ "Node" "\0"
  /*  9264 */ "NodeFilter" "\0"
  /*  9275 */ "NodeIterator" "\0"
  /*  9288 */ "NodeList" "\0"
  /*  9297 */ "Notification" "\0"
  /*  9310 */ "NotificationEvent" "\0"
  /*  9328 */ "NotifyPaintEvent" "\0"
  /*  9345 */ "OES_draw_buffers_indexed" "\0"
  /*  9370 */ "OES_element_index_uint" "\0"
  /*  9393 */ "OES_fbo_render_mipmap" "\0"
  /*  9415 */ "OES_standard_derivatives" "\0"
  /*  9440 */ "OES_texture_float" "\0"
  /*  9458 */ "OES_texture_float_linear" "\0"
  /*  9483 */ "OES_texture_half_float" "\0"
  /*  9506 */ "OES_texture_half_float_linear" "\0"
  /*  9536 */ "OES_vertex_array_object" "\0"
  /*  9560 */ "OVR_multiview2" "\0"
  /*  9575 */ "OfflineAudioCompletionEvent" "\0"
  /*  9603 */ "OfflineAudioContext" "\0"
  /*  9623 */ "OffscreenCanvas" "\0"
  /*  9639 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9673 */ "Option" "\0"
  /*  9680 */ "OscillatorNode" "\0"
  /*  9695 */ "PageTransitionEvent" "\0"
  /*  9715 */ "PaintRequest" "\0"
  /*  9728 */ "PaintRequestList" "\0"
  /*  9745 */ "PaintWorkletGlobalScope" "\0"
  /*  9769 */ "PannerNode" "\0"
  /*  9780 */ "ParentProcessMessageManager" "\0"
  /*  9808 */ "Path2D" "\0"
  /*  9815 */ "PathUtils" "\0"
  /*  9825 */ "PaymentAddress" "\0"
  /*  9840 */ "PaymentMethodChangeEvent" "\0"
  /*  9865 */ "PaymentRequest" "\0"
  /*  9880 */ "PaymentRequestUpdateEvent" "\0"
  /*  9906 */ "PaymentResponse" "\0"
  /*  9922 */ "PeerConnectionImpl" "\0"
  /*  9941 */ "PeerConnectionObserver" "\0"
  /*  9964 */ "Performance" "\0"
  /*  9976 */ "PerformanceEntry" "\0"
  /*  9993 */ "PerformanceEntryEvent" "\0"
  /* 10015 */ "PerformanceEventTiming" "\0"
  /* 10038 */ "PerformanceMark" "\0"
  /* 10054 */ "PerformanceMeasure" "\0"
  /* 10073 */ "PerformanceNavigation" "\0"
  /* 10095 */ "PerformanceNavigationTiming" "\0"
  /* 10123 */ "PerformanceObserver" "\0"
  /* 10143 */ "PerformanceObserverEntryList" "\0"
  /* 10172 */ "PerformancePaintTiming" "\0"
  /* 10195 */ "PerformanceResourceTiming" "\0"
  /* 10221 */ "PerformanceServerTiming" "\0"
  /* 10245 */ "PerformanceTiming" "\0"
  /* 10263 */ "PeriodicWave" "\0"
  /* 10276 */ "PermissionStatus" "\0"
  /* 10293 */ "Permissions" "\0"
  /* 10305 */ "PlacesBookmark" "\0"
  /* 10320 */ "PlacesBookmarkAddition" "\0"
  /* 10343 */ "PlacesBookmarkChanged" "\0"
  /* 10365 */ "PlacesBookmarkGuid" "\0"
  /* 10384 */ "PlacesBookmarkKeyword" "\0"
  /* 10406 */ "PlacesBookmarkMoved" "\0"
  /* 10426 */ "PlacesBookmarkRemoved" "\0"
  /* 10448 */ "PlacesBookmarkTags" "\0"
  /* 10467 */ "PlacesBookmarkTime" "\0"
  /* 10486 */ "PlacesBookmarkTitle" "\0"
  /* 10506 */ "PlacesBookmarkUrl" "\0"
  /* 10524 */ "PlacesEvent" "\0"
  /* 10536 */ "PlacesEventCounts" "\0"
  /* 10554 */ "PlacesFavicon" "\0"
  /* 10568 */ "PlacesHistoryCleared" "\0"
  /* 10589 */ "PlacesObservers" "\0"
  /* 10605 */ "PlacesPurgeCaches" "\0"
  /* 10623 */ "PlacesRanking" "\0"
  /* 10637 */ "PlacesVisit" "\0"
  /* 10649 */ "PlacesVisitRemoved" "\0"
  /* 10668 */ "PlacesVisitTitle" "\0"
  /* 10685 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10711 */ "Plugin" "\0"
  /* 10718 */ "PluginArray" "\0"
  /* 10730 */ "PluginCrashedEvent" "\0"
  /* 10749 */ "PointerEvent" "\0"
  /* 10762 */ "PopStateEvent" "\0"
  /* 10776 */ "PopupBlockedEvent" "\0"
  /* 10794 */ "PopupPositionedEvent" "\0"
  /* 10815 */ "PositionStateEvent" "\0"
  /* 10834 */ "PrecompiledScript" "\0"
  /* 10852 */ "PrivateAttribution" "\0"
  /* 10871 */ "ProcessMessageManager" "\0"
  /* 10893 */ "ProcessingInstruction" "\0"
  /* 10915 */ "ProgressEvent" "\0"
  /* 10929 */ "PromiseDebugging" "\0"
  /* 10946 */ "PromiseNativeHandler" "\0"
  /* 10967 */ "PromiseRejectionEvent" "\0"
  /* 10989 */ "PublicKeyCredential" "\0"
  /* 11009 */ "PushEvent" "\0"
  /* 11019 */ "PushManager" "\0"
  /* 11031 */ "PushManagerImpl" "\0"
  /* 11047 */ "PushMessageData" "\0"
  /* 11063 */ "PushSubscription" "\0"
  /* 11080 */ "PushSubscriptionOptions" "\0"
  /* 11104 */ "RTCCertificate" "\0"
  /* 11119 */ "RTCDTMFSender" "\0"
  /* 11133 */ "RTCDTMFToneChangeEvent" "\0"
  /* 11156 */ "RTCDataChannel" "\0"
  /* 11171 */ "RTCDataChannelEvent" "\0"
  /* 11191 */ "RTCDtlsTransport" "\0"
  /* 11208 */ "RTCEncodedAudioFrame" "\0"
  /* 11229 */ "RTCEncodedVideoFrame" "\0"
  /* 11250 */ "RTCIceCandidate" "\0"
  /* 11266 */ "RTCIceTransport" "\0"
  /* 11282 */ "RTCIdentityProviderRegistrar" "\0"
  /* 11311 */ "RTCPeerConnection" "\0"
  /* 11329 */ "RTCPeerConnectionIceEvent" "\0"
  /* 11355 */ "RTCPeerConnectionStatic" "\0"
  /* 11379 */ "RTCRtpReceiver" "\0"
  /* 11394 */ "RTCRtpScriptTransform" "\0"
  /* 11416 */ "RTCRtpScriptTransformer" "\0"
  /* 11440 */ "RTCRtpSender" "\0"
  /* 11453 */ "RTCRtpTransceiver" "\0"
  /* 11471 */ "RTCSctpTransport" "\0"
  /* 11488 */ "RTCSessionDescription" "\0"
  /* 11510 */ "RTCStatsReport" "\0"
  /* 11525 */ "RTCTrackEvent" "\0"
  /* 11539 */ "RTCTransformEvent" "\0"
  /* 11557 */ "RadioNodeList" "\0"
  /* 11571 */ "Range" "\0"
  /* 11577 */ "ReadableByteStreamController" "\0"
  /* 11606 */ "ReadableStream" "\0"
  /* 11621 */ "ReadableStream AsyncIterator" "\0"
  /* 11650 */ "ReadableStreamBYOBReader" "\0"
  /* 11675 */ "ReadableStreamBYOBRequest" "\0"
  /* 11701 */ "ReadableStreamDefaultController" "\0"
  /* 11733 */ "ReadableStreamDefaultReader" "\0"
  /* 11761 */ "Report" "\0"
  /* 11768 */ "ReportBody" "\0"
  /* 11779 */ "ReportingObserver" "\0"
  /* 11797 */ "Request" "\0"
  /* 11805 */ "ResizeObserver" "\0"
  /* 11820 */ "ResizeObserverEntry" "\0"
  /* 11840 */ "ResizeObserverSize" "\0"
  /* 11859 */ "Response" "\0"
  /* 11868 */ "SVGAElement" "\0"
  /* 11880 */ "SVGAngle" "\0"
  /* 11889 */ "SVGAnimateElement" "\0"
  /* 11907 */ "SVGAnimateMotionElement" "\0"
  /* 11931 */ "SVGAnimateTransformElement" "\0"
  /* 11958 */ "SVGAnimatedAngle" "\0"
  /* 11975 */ "SVGAnimatedBoolean" "\0"
  /* 11994 */ "SVGAnimatedEnumeration" "\0"
  /* 12017 */ "SVGAnimatedInteger" "\0"
  /* 12036 */ "SVGAnimatedLength" "\0"
  /* 12054 */ "SVGAnimatedLengthList" "\0"
  /* 12076 */ "SVGAnimatedNumber" "\0"
  /* 12094 */ "SVGAnimatedNumberList" "\0"
  /* 12116 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 12147 */ "SVGAnimatedRect" "\0"
  /* 12163 */ "SVGAnimatedString" "\0"
  /* 12181 */ "SVGAnimatedTransformList" "\0"
  /* 12206 */ "SVGAnimationElement" "\0"
  /* 12226 */ "SVGCircleElement" "\0"
  /* 12243 */ "SVGClipPathElement" "\0"
  /* 12262 */ "SVGComponentTransferFunctionElement" "\0"
  /* 12298 */ "SVGDefsElement" "\0"
  /* 12313 */ "SVGDescElement" "\0"
  /* 12328 */ "SVGDiscardElement" "\0"
  /* 12346 */ "SVGElement" "\0"
  /* 12357 */ "SVGEllipseElement" "\0"
  /* 12375 */ "SVGFEBlendElement" "\0"
  /* 12393 */ "SVGFEColorMatrixElement" "\0"
  /* 12417 */ "SVGFEComponentTransferElement" "\0"
  /* 12447 */ "SVGFECompositeElement" "\0"
  /* 12469 */ "SVGFEConvolveMatrixElement" "\0"
  /* 12496 */ "SVGFEDiffuseLightingElement" "\0"
  /* 12524 */ "SVGFEDisplacementMapElement" "\0"
  /* 12552 */ "SVGFEDistantLightElement" "\0"
  /* 12577 */ "SVGFEDropShadowElement" "\0"
  /* 12600 */ "SVGFEFloodElement" "\0"
  /* 12618 */ "SVGFEFuncAElement" "\0"
  /* 12636 */ "SVGFEFuncBElement" "\0"
  /* 12654 */ "SVGFEFuncGElement" "\0"
  /* 12672 */ "SVGFEFuncRElement" "\0"
  /* 12690 */ "SVGFEGaussianBlurElement" "\0"
  /* 12715 */ "SVGFEImageElement" "\0"
  /* 12733 */ "SVGFEMergeElement" "\0"
  /* 12751 */ "SVGFEMergeNodeElement" "\0"
  /* 12773 */ "SVGFEMorphologyElement" "\0"
  /* 12796 */ "SVGFEOffsetElement" "\0"
  /* 12815 */ "SVGFEPointLightElement" "\0"
  /* 12838 */ "SVGFESpecularLightingElement" "\0"
  /* 12867 */ "SVGFESpotLightElement" "\0"
  /* 12889 */ "SVGFETileElement" "\0"
  /* 12906 */ "SVGFETurbulenceElement" "\0"
  /* 12929 */ "SVGFilterElement" "\0"
  /* 12946 */ "SVGForeignObjectElement" "\0"
  /* 12970 */ "SVGGElement" "\0"
  /* 12982 */ "SVGGeometryElement" "\0"
  /* 13001 */ "SVGGradientElement" "\0"
  /* 13020 */ "SVGGraphicsElement" "\0"
  /* 13039 */ "SVGImageElement" "\0"
  /* 13055 */ "SVGLength" "\0"
  /* 13065 */ "SVGLengthList" "\0"
  /* 13079 */ "SVGLineElement" "\0"
  /* 13094 */ "SVGLinearGradientElement" "\0"
  /* 13119 */ "SVGMPathElement" "\0"
  /* 13135 */ "SVGMarkerElement" "\0"
  /* 13152 */ "SVGMaskElement" "\0"
  /* 13167 */ "SVGMatrix" "\0"
  /* 13177 */ "SVGMetadataElement" "\0"
  /* 13196 */ "SVGNumber" "\0"
  /* 13206 */ "SVGNumberList" "\0"
  /* 13220 */ "SVGPathElement" "\0"
  /* 13235 */ "SVGPathSegment" "\0"
  /* 13250 */ "SVGPatternElement" "\0"
  /* 13268 */ "SVGPoint" "\0"
  /* 13277 */ "SVGPointList" "\0"
  /* 13290 */ "SVGPolygonElement" "\0"
  /* 13308 */ "SVGPolylineElement" "\0"
  /* 13327 */ "SVGPreserveAspectRatio" "\0"
  /* 13350 */ "SVGRadialGradientElement" "\0"
  /* 13375 */ "SVGRect" "\0"
  /* 13383 */ "SVGRectElement" "\0"
  /* 13398 */ "SVGSVGElement" "\0"
  /* 13412 */ "SVGScriptElement" "\0"
  /* 13429 */ "SVGSetElement" "\0"
  /* 13443 */ "SVGStopElement" "\0"
  /* 13458 */ "SVGStringList" "\0"
  /* 13472 */ "SVGStyleElement" "\0"
  /* 13488 */ "SVGSwitchElement" "\0"
  /* 13505 */ "SVGSymbolElement" "\0"
  /* 13522 */ "SVGTSpanElement" "\0"
  /* 13538 */ "SVGTextContentElement" "\0"
  /* 13560 */ "SVGTextElement" "\0"
  /* 13575 */ "SVGTextPathElement" "\0"
  /* 13594 */ "SVGTextPositioningElement" "\0"
  /* 13620 */ "SVGTitleElement" "\0"
  /* 13636 */ "SVGTransform" "\0"
  /* 13649 */ "SVGTransformList" "\0"
  /* 13666 */ "SVGUnitTypes" "\0"
  /* 13679 */ "SVGUseElement" "\0"
  /* 13693 */ "SVGViewElement" "\0"
  /* 13708 */ "Sanitizer" "\0"
  /* 13718 */ "Scheduler" "\0"
  /* 13728 */ "Screen" "\0"
  /* 13735 */ "ScreenLuminance" "\0"
  /* 13751 */ "ScreenOrientation" "\0"
  /* 13769 */ "ScriptProcessorNode" "\0"
  /* 13789 */ "ScrollAreaEvent" "\0"
  /* 13805 */ "ScrollViewChangeEvent" "\0"
  /* 13827 */ "SecurityPolicyViolationEvent" "\0"
  /* 13856 */ "Selection" "\0"
  /* 13866 */ "ServiceWorker" "\0"
  /* 13880 */ "ServiceWorkerContainer" "\0"
  /* 13903 */ "ServiceWorkerGlobalScope" "\0"
  /* 13928 */ "ServiceWorkerRegistration" "\0"
  /* 13954 */ "SessionStoreFormData" "\0"
  /* 13975 */ "SessionStoreScrollData" "\0"
  /* 13998 */ "SessionStoreUtils" "\0"
  /* 14016 */ "ShadowRealmGlobalScope" "\0"
  /* 14039 */ "ShadowRoot" "\0"
  /* 14050 */ "SharedWorker" "\0"
  /* 14063 */ "SharedWorkerGlobalScope" "\0"
  /* 14087 */ "SimpleGestureEvent" "\0"
  /* 14106 */ "SourceBuffer" "\0"
  /* 14119 */ "SourceBufferList" "\0"
  /* 14136 */ "SpeechGrammar" "\0"
  /* 14150 */ "SpeechGrammarList" "\0"
  /* 14168 */ "SpeechRecognition" "\0"
  /* 14186 */ "SpeechRecognitionAlternative" "\0"
  /* 14215 */ "SpeechRecognitionError" "\0"
  /* 14238 */ "SpeechRecognitionEvent" "\0"
  /* 14261 */ "SpeechRecognitionResult" "\0"
  /* 14285 */ "SpeechRecognitionResultList" "\0"
  /* 14313 */ "SpeechSynthesis" "\0"
  /* 14329 */ "SpeechSynthesisErrorEvent" "\0"
  /* 14355 */ "SpeechSynthesisEvent" "\0"
  /* 14376 */ "SpeechSynthesisUtterance" "\0"
  /* 14401 */ "SpeechSynthesisVoice" "\0"
  /* 14422 */ "StaticRange" "\0"
  /* 14434 */ "StereoPannerNode" "\0"
  /* 14451 */ "Storage" "\0"
  /* 14459 */ "StorageEvent" "\0"
  /* 14472 */ "StorageManager" "\0"
  /* 14487 */ "StreamFilter" "\0"
  /* 14500 */ "StreamFilterDataEvent" "\0"
  /* 14522 */ "StructuredCloneHolder" "\0"
  /* 14544 */ "StructuredCloneTester" "\0"
  /* 14566 */ "StyleSheet" "\0"
  /* 14577 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14614 */ "StyleSheetList" "\0"
  /* 14629 */ "StyleSheetRemovedEvent" "\0"
  /* 14652 */ "SubmitEvent" "\0"
  /* 14664 */ "SubtleCrypto" "\0"
  /* 14677 */ "SyncMessageSender" "\0"
  /* 14695 */ "SyncReadFile" "\0"
  /* 14708 */ "TCPServerSocket" "\0"
  /* 14724 */ "TCPServerSocketEvent" "\0"
  /* 14745 */ "TCPSocket" "\0"
  /* 14755 */ "TCPSocketErrorEvent" "\0"
  /* 14775 */ "TCPSocketEvent" "\0"
  /* 14790 */ "TaskController" "\0"
  /* 14805 */ "TaskPriorityChangeEvent" "\0"
  /* 14829 */ "TaskSignal" "\0"
  /* 14840 */ "TelemetryStopwatch" "\0"
  /* 14859 */ "TestUtils" "\0"
  /* 14869 */ "TestingDeprecatedInterface" "\0"
  /* 14896 */ "Text" "\0"
  /* 14901 */ "TextClause" "\0"
  /* 14912 */ "TextDecoder" "\0"
  /* 14924 */ "TextDecoderStream" "\0"
  /* 14942 */ "TextEncoder" "\0"
  /* 14954 */ "TextEncoderStream" "\0"
  /* 14972 */ "TextEvent" "\0"
  /* 14982 */ "TextMetrics" "\0"
  /* 14994 */ "TextTrack" "\0"
  /* 15004 */ "TextTrackCue" "\0"
  /* 15017 */ "TextTrackCueList" "\0"
  /* 15034 */ "TextTrackList" "\0"
  /* 15048 */ "TimeEvent" "\0"
  /* 15058 */ "TimeRanges" "\0"
  /* 15069 */ "ToggleEvent" "\0"
  /* 15081 */ "Touch" "\0"
  /* 15087 */ "TouchEvent" "\0"
  /* 15098 */ "TouchList" "\0"
  /* 15108 */ "TrackEvent" "\0"
  /* 15119 */ "TransformStream" "\0"
  /* 15135 */ "TransformStreamDefaultController" "\0"
  /* 15168 */ "TransitionEvent" "\0"
  /* 15184 */ "TreeColumn" "\0"
  /* 15195 */ "TreeColumns" "\0"
  /* 15207 */ "TreeContentView" "\0"
  /* 15223 */ "TreeWalker" "\0"
  /* 15234 */ "TrustedHTML" "\0"
  /* 15246 */ "TrustedScript" "\0"
  /* 15260 */ "TrustedScriptURL" "\0"
  /* 15277 */ "TrustedTypePolicy" "\0"
  /* 15295 */ "TrustedTypePolicyFactory" "\0"
  /* 15320 */ "UDPMessageEvent" "\0"
  /* 15336 */ "UDPSocket" "\0"
  /* 15346 */ "UIEvent" "\0"
  /* 15354 */ "URL" "\0"
  /* 15358 */ "URLSearchParams" "\0"
  /* 15374 */ "URLSearchParams Iterator" "\0"
  /* 15399 */ "UniFFIPointer" "\0"
  /* 15413 */ "UniFFIScaffolding" "\0"
  /* 15431 */ "UserActivation" "\0"
  /* 15446 */ "UserInteraction" "\0"
  /* 15462 */ "UserProximityEvent" "\0"
  /* 15481 */ "VRDisplay" "\0"
  /* 15491 */ "VRDisplayCapabilities" "\0"
  /* 15513 */ "VRDisplayEvent" "\0"
  /* 15528 */ "VREyeParameters" "\0"
  /* 15544 */ "VRFieldOfView" "\0"
  /* 15558 */ "VRFrameData" "\0"
  /* 15570 */ "VRMockController" "\0"
  /* 15587 */ "VRMockDisplay" "\0"
  /* 15601 */ "VRPose" "\0"
  /* 15608 */ "VRServiceTest" "\0"
  /* 15622 */ "VRStageParameters" "\0"
  /* 15640 */ "VTTCue" "\0"
  /* 15647 */ "VTTRegion" "\0"
  /* 15657 */ "ValidityState" "\0"
  /* 15671 */ "VideoColorSpace" "\0"
  /* 15687 */ "VideoDecoder" "\0"
  /* 15700 */ "VideoEncoder" "\0"
  /* 15713 */ "VideoFrame" "\0"
  /* 15724 */ "VideoPlaybackQuality" "\0"
  /* 15745 */ "VideoTrack" "\0"
  /* 15756 */ "VideoTrackList" "\0"
  /* 15771 */ "ViewTransition" "\0"
  /* 15786 */ "VisualViewport" "\0"
  /* 15801 */ "WEBGL_color_buffer_float" "\0"
  /* 15826 */ "WEBGL_compressed_texture_astc" "\0"
  /* 15856 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15885 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 15915 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 15946 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 15976 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 16011 */ "WEBGL_debug_renderer_info" "\0"
  /* 16037 */ "WEBGL_debug_shaders" "\0"
  /* 16057 */ "WEBGL_depth_texture" "\0"
  /* 16077 */ "WEBGL_draw_buffers" "\0"
  /* 16096 */ "WEBGL_explicit_present" "\0"
  /* 16119 */ "WEBGL_lose_context" "\0"
  /* 16138 */ "WEBGL_provoking_vertex" "\0"
  /* 16161 */ "WGSLLanguageFeatures" "\0"
  /* 16182 */ "WakeLock" "\0"
  /* 16191 */ "WakeLockSentinel" "\0"
  /* 16208 */ "WaveShaperNode" "\0"
  /* 16223 */ "WebExtensionContentScript" "\0"
  /* 16249 */ "WebExtensionPolicy" "\0"
  /* 16268 */ "WebGL2RenderingContext" "\0"
  /* 16291 */ "WebGLActiveInfo" "\0"
  /* 16307 */ "WebGLBuffer" "\0"
  /* 16319 */ "WebGLContextEvent" "\0"
  /* 16337 */ "WebGLFramebuffer" "\0"
  /* 16354 */ "WebGLProgram" "\0"
  /* 16367 */ "WebGLQuery" "\0"
  /* 16378 */ "WebGLRenderbuffer" "\0"
  /* 16396 */ "WebGLRenderingContext" "\0"
  /* 16418 */ "WebGLSampler" "\0"
  /* 16431 */ "WebGLShader" "\0"
  /* 16443 */ "WebGLShaderPrecisionFormat" "\0"
  /* 16470 */ "WebGLSync" "\0"
  /* 16480 */ "WebGLTexture" "\0"
  /* 16493 */ "WebGLTransformFeedback" "\0"
  /* 16516 */ "WebGLUniformLocation" "\0"
  /* 16537 */ "WebGLVertexArrayObject" "\0"
  /* 16560 */ "WebKitCSSMatrix" "\0"
  /* 16576 */ "WebSocket" "\0"
  /* 16586 */ "WebTransport" "\0"
  /* 16599 */ "WebTransportBidirectionalStream" "\0"
  /* 16631 */ "WebTransportDatagramDuplexStream" "\0"
  /* 16664 */ "WebTransportError" "\0"
  /* 16682 */ "WebTransportReceiveStream" "\0"
  /* 16708 */ "WebTransportSendStream" "\0"
  /* 16731 */ "WebrtcGlobalInformation" "\0"
  /* 16755 */ "WheelEvent" "\0"
  /* 16766 */ "Window" "\0"
  /* 16773 */ "WindowClient" "\0"
  /* 16786 */ "WindowContext" "\0"
  /* 16800 */ "WindowGlobalChild" "\0"
  /* 16818 */ "WindowGlobalParent" "\0"
  /* 16837 */ "WindowRoot" "\0"
  /* 16848 */ "Worker" "\0"
  /* 16855 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16881 */ "WorkerGlobalScope" "\0"
  /* 16899 */ "WorkerLocation" "\0"
  /* 16914 */ "WorkerNavigator" "\0"
  /* 16930 */ "WorkerTestUtils" "\0"
  /* 16946 */ "Worklet" "\0"
  /* 16954 */ "WorkletGlobalScope" "\0"
  /* 16973 */ "WritableStream" "\0"
  /* 16988 */ "WritableStreamDefaultController" "\0"
  /* 17020 */ "WritableStreamDefaultWriter" "\0"
  /* 17048 */ "XMLDocument" "\0"
  /* 17060 */ "XMLHttpRequest" "\0"
  /* 17075 */ "XMLHttpRequestEventTarget" "\0"
  /* 17101 */ "XMLHttpRequestUpload" "\0"
  /* 17122 */ "XMLSerializer" "\0"
  /* 17136 */ "XPathEvaluator" "\0"
  /* 17151 */ "XPathExpression" "\0"
  /* 17167 */ "XPathResult" "\0"
  /* 17179 */ "XRBoundedReferenceSpace" "\0"
  /* 17203 */ "XRFrame" "\0"
  /* 17211 */ "XRInputSource" "\0"
  /* 17225 */ "XRInputSourceArray" "\0"
  /* 17244 */ "XRInputSourceEvent" "\0"
  /* 17263 */ "XRInputSourcesChangeEvent" "\0"
  /* 17289 */ "XRPose" "\0"
  /* 17296 */ "XRReferenceSpace" "\0"
  /* 17313 */ "XRReferenceSpaceEvent" "\0"
  /* 17335 */ "XRRenderState" "\0"
  /* 17349 */ "XRRigidTransform" "\0"
  /* 17366 */ "XRSession" "\0"
  /* 17376 */ "XRSessionEvent" "\0"
  /* 17391 */ "XRSpace" "\0"
  /* 17399 */ "XRSystem" "\0"
  /* 17408 */ "XRView" "\0"
  /* 17415 */ "XRViewerPose" "\0"
  /* 17428 */ "XRViewport" "\0"
  /* 17439 */ "XRWebGLLayer" "\0"
  /* 17452 */ "XSLTProcessor" "\0"
  /* 17466 */ "XULCommandEvent" "\0"
  /* 17482 */ "XULElement" "\0"
  /* 17493 */ "XULFrameElement" "\0"
  /* 17509 */ "XULMenuElement" "\0"
  /* 17524 */ "XULPopupElement" "\0"
  /* 17540 */ "XULResizerElement" "\0"
  /* 17558 */ "XULTextElement" "\0"
  /* 17573 */ "XULTreeElement" "\0"
  /* 17588 */ "console" "\0"
  /* 17596 */ "webkitSpeechGrammar" "\0"
  /* 17616 */ "webkitSpeechGrammarList" "\0"
  /* 17640 */ "webkitSpeechRecognition" "\0"
  /* 17664 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

